/*
 * $Id: config.mips.h,v 1.1 90/12/07 12:00:39 drew Exp $
 * 
 * $Log:	config.mips.h,v $
 * Revision 1.1  90/12/07  12:00:39  drew
 * Initial revision
 * 
 */

/**********************************************************************
 * Copyright 1990,1991 by University of Toronto, Toronto, Ontario, Canada.
 * 
 *			 All Rights Reserved
 * 
 * Permission to use, copy, modify, distribute, and sell this software
 * and its documentation for any purpose is hereby granted without fee, 
 * provided that the above copyright notice appears in all copies and that 
 * both the copyright notice and this permission notice appear in 
 * supporting documentation, and that the name of University of Toronto 
 * not be used in advertising or publicity pertaining to distribution 
 * of the software without specific, written prior permission.  
 * University of Toronto makes no representations about the suitability 
 * of this software for any purpose. It is provided "as is" without 
 * express or implied warranty. 
 *
 * UNIVERSITY OF TORONTO DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS 
 * SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND 
 * FITNESS, IN NO EVENT SHALL UNIVERSITY OF TORONTO BE LIABLE FOR ANY 
 * SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER 
 * RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF 
 * CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN 
 * CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 **********************************************************************/

/***
 * Configuration file - try to put all machine dependent stuff in here
 * For mips system
 */

/* maximum integer returned by random() */
#define MAX_RAND_INT 0x7FFFFFFE


#define _IEEE 1
#include <nan.h>
extern double _tmp_d;
#define isnan(X) (_tmp_d=X,NaN(_tmp_d) && !IsINF(_tmp_d))
#define isinf(X) (_tmp_d=X,NaN(_tmp_d) && IsINF(_tmp_d))
#define NO_BUILT_IN_QUIET_NAN
#define NO_BUILT_IN_INFINITY

