/*
 * $Id: sim-dummy.h,v 1.1 90/12/07 12:01:12 drew Exp $
 * 
 * $Log:	sim-dummy.h,v $
 * Revision 1.1  90/12/07  12:01:12  drew
 * Initial revision
 * 
 */

/**********************************************************************
 * Copyright 1990,1991 by University of Toronto, Toronto, Ontario, Canada.
 * 
 *			 All Rights Reserved
 * 
 * Permission to use, copy, modify, distribute, and sell this software
 * and its documentation for any purpose is hereby granted without fee, 
 * provided that the above copyright notice appears in all copies and that 
 * both the copyright notice and this permission notice appear in 
 * supporting documentation, and that the name of University of Toronto 
 * not be used in advertising or publicity pertaining to distribution 
 * of the software without specific, written prior permission.  
 * University of Toronto makes no representations about the suitability 
 * of this software for any purpose. It is provided "as is" without 
 * express or implied warranty. 
 *
 * UNIVERSITY OF TORONTO DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS 
 * SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND 
 * FITNESS, IN NO EVENT SHALL UNIVERSITY OF TORONTO BE LIABLE FOR ANY 
 * SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER 
 * RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF 
 * CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN 
 * CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 **********************************************************************/

/***
 * Declarations here take the place of those needed by the user module
 */
#define DUMMY_UL
extern int n_unit_tags;
extern int n_link_tags;
extern int sizeof_unit[];
extern int sizeof_link[];
extern char *nameof_unit[];
extern char *nameof_link[];
typedef int *UNIT_PTR;
typedef int *LINK_PTR;
#define UNIT_TYPE UNIT_PTR
#define LINK_TYPE LINK_PTR
extern int sizeof_params;
extern int sizeof_net_params;
extern int sizeof_layer_params;
typedef int LAYER_PARAMS;
typedef int NET_PARAMS;
typedef int PARAMS;
typedef struct PARAMS {
  int	dummy;
};
typedef struct LAYER_PARAMS {
  int	dummy;
};
typedef struct NET_PARAMS {
  int	dummy;
};
