#include <stdio.h>
#include <argf.h>

main(argc, argv)
int argc;
char *argv[];
{
  real spacing = 0;
  real start = 0;
  int break_at_labels = 0;
  int gridstyle = 0;
  char *label = NULL;
  char *default_label = NULL;
  int connect_mode = 0;
  int save_screen = 0;
  int log_x = 0;
  real lower_x = 0.0;
  real upper_x = 0.0;
  real spacing_x = 0.0;
  int log_y = 0;
  real lower_y = 0.0;
  real upper_y = 0.0;
  real spacing_y = 0.0;
  real fraction_h = 0;
  real fraction_w = 0;
  real fraction_r = 0;
  real fraction_u = 0;
  FILE *input_file = stdin;
  struct ARG_DESC *argd;
  argd = StartArgs(argv[0]);
  Args(argd, "[-Pa <spacing>%r [<start>%r]]", &spacing, &start);
  Args(argd, "[-Pb %P]", &break_at_labels);
  Args(argd, "[-Pc <default-label>%s]", &default_label);
  Args(argd, "[-Pg <gridstyle>%n]", &gridstyle);
  Args(argd, "[-Pl <label>%s]", &label);
  Args(argd, "[-Pm <connect-mode>%n]", &connect_mode);
  Args(argd, "[-Ps %P]", &save_screen);
  Args(argd, "[-Px ['l' %P] <lower>%r [<upper>%r [<spacing>%r]]]",
       &log_x, &lower_x, &upper_x, &spacing_x);
  Args(argd, "[-Py ['l' %P] <lower>%r [<upper>%r [<spacing>%r]]]",
       &log_y, &lower_y, &upper_y, &spacing_y);
  Args(argd, "[-Ph <fraction>%r]", &fraction_h);
  Args(argd, "[-Pw <fraction>%r]", &fraction_w);
  Args(argd, "[-Pr <fraction>%r]", &fraction_r);
  Args(argd, "[-Pu <fraction>%r]", &fraction_u);
  Args(argd, "[<input-file>%I]", &input_file);
  EndArgs(argd);
  argv = ParseArgs(argd, argc, argv, 0);
}
